SHUTDOWN(2)

NAME
shutdown - shut down part of a full-duplex connection

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/socket.h>
int
shutdown(int s, int how);

DESCRIPTION
The shutdown() system call causes all or part of a full-duplex connection on the socket associated with the file descriptor s to be shut down. The how argument specifies the type of shutdown. Possible values are:

SHUT_RD
    further receives will be disallowed.

SHUT_WR
    further sends will be disallowed.

SHUT_RDWR
    further sends and receives will be disallowed.

RETURN VALUES

ERRORS
The shutdown() system call fails if:

[EBADF]
    The s argument is not a valid file descriptor.

[EINVAL]
    The how argument is invalid.

[ENOTCONN]
    The socket is not connected.

[ENOTSOCK]
    The s argument does not refer to a socket.

SEE ALSO
connect(2), socket(2)

STANDARDS
The shutdown() system call is expected to comply with p1003.1g-2000, when finalized.

HISTORY
The shutdown() system call appeared in 4.2BSD. The SHUT_RD, SHUT_WR, and SHUT_RDWR constants appeared in p1003.1g-2000.